## Apache Zeta Components Manual :: Docs For Class ezcGraphHorizontalRenderer

### Graph::ezcGraphHorizontalRenderer

### Class ezcGraphHorizontalRenderer

Class to transform horizontal bar charts primitives into image primitives.

Renders charts in a two dimensional view.

The class options are defined in the class ezcGraphRenderer2dOptions extending the basic renderer options in ezcGraphRendererOptions.

Source for this file: /Graph/src/renderer/horizontal_bar.php

### Implements interfaces:

- ezcGraphHorizontalBarRenderer

    ezcGraphRenderer
       |
       --ezcGraphRenderer2d
          |
          --ezcGraphHorizontalRenderer

Version: | //autogentag//

### Inherited Member Variables

From ezcGraphRenderer2d
protected | `ezcGraphRenderer2d::$axisLabels`
protected | `ezcGraphRenderer2d::$circleSectors`
protected | `ezcGraphRenderer2d::$linePostSymbols`
protected | `ezcGraphRenderer2d::$options`
protected | `ezcGraphRenderer2d::$pieSegmentBoundings`
protected | `ezcGraphRenderer2d::$pieSegmentLabels`
From ezcGraphRenderer
protected | `ezcGraphRenderer::$driver`
protected | `ezcGraphRenderer::$elements`
protected | `ezcGraphRenderer::$xAxisSpace`
protected | `ezcGraphRenderer::$yAxisSpace`

### Method Summary

public void | `drawBar( $boundings , $context , $color , $position , $stepSize , [ $dataNumber = 1] , [ $dataCount = 1] , [ $symbol = ezcGraph::NO_SYMBOL] , [ $axisPosition = 0.] )` Draw bar
public void | `drawDataLine( $boundings , $context , $color , $start , $end , [ $dataNumber = 1] , [ $dataCount = 1] , [ $symbol = ezcGraph::NO_SYMBOL] , [ $symbolColor = null] , [ $fillColor = null] , [ $axisPosition = 0.] , [ $thickness = 1.] )` Draw data line
public void | `drawHorizontalBar( $boundings , $context , $color , $position , $stepSize , [ $dataNumber = 1] , [ $dataCount = 1] , [ $symbol = ezcGraph::NO_SYMBOL] , [ $axisPosition = 0.] )` Draw horizontal bar

### Inherited Methods

From ezcGraphRenderer2d
public void | `ezcGraphRenderer2d::drawAxis()` Draw axis
protected void | `ezcGraphRenderer2d::drawAxisLabel()` Draw axis label
protected void | `ezcGraphRenderer2d::drawAxisLabels()` Draw all left axis labels
public void | `ezcGraphRenderer2d::drawBackgroundImage()` Draw background image
public void | `ezcGraphRenderer2d::drawBar()` Draw bar
public ezcGraphBoundings | `ezcGraphRenderer2d::drawBox()` Draw box
public void | `ezcGraphRenderer2d::drawDataHighlightText()` Draws a highlight textbox for a datapoint.
public void | `ezcGraphRenderer2d::drawDataLine()` Draw data line
public void | `ezcGraphRenderer2d::drawGridLine()` Draw grid line
public void | `ezcGraphRenderer2d::drawLegend()` Draw legend
public ezcGraphBoundings | `ezcGraphRenderer2d::drawOdometer()` Render odometer chart
public void | `ezcGraphRenderer2d::drawOdometerMarker()` Draw a single odometer marker.
public void | `ezcGraphRenderer2d::drawPieSegment()` Draw pie segment
public void | `ezcGraphRenderer2d::drawRadarDataLine()` Draw radar chart data line
public void | `ezcGraphRenderer2d::drawStackedBar()` Draw stacked bar
public void | `ezcGraphRenderer2d::drawStepLine()` Draw step line
public void | `ezcGraphRenderer2d::drawText()` Draw text
protected void | `ezcGraphRenderer2d::finish()` Call all postprocessing functions
protected void | `ezcGraphRenderer2d::finishCircleSectors()` Draws the collected circle sectors
protected void | `ezcGraphRenderer2d::finishLineSymbols()` Draw the collected line symbols
protected void | `ezcGraphRenderer2d::finishPieSegmentLabels()` Draws the collected pie segment labels
protected float | `ezcGraphRenderer2d::getCoordinateFromAngleAndRadius()` Returns a coordinate in the given bounding box for the given angle radius with the center as base point.
protected void | `ezcGraphRenderer2d::legacyDrawAxis()` Draw axis
protected void | `ezcGraphRenderer2d::resetRenderer()` Reset renderer properties
From ezcGraphRenderer
protected void | `ezcGraphRenderer::addElementReference()` Adds a element reference for context
public abstract void | `ezcGraphRenderer::drawAxis()` Draw axis
protected void | `ezcGraphRenderer::drawAxisArrowHead()` Draw axis arrow head
public abstract void | `ezcGraphRenderer::drawBackgroundImage()` Draw background image
public abstract void | `ezcGraphRenderer::drawBar()` Draw bar
public abstract ezcGraphBoundings | `ezcGraphRenderer::drawBox()` Draw box
public abstract void | `ezcGraphRenderer::drawDataHighlightText()` Draws a highlight textbox for a datapoint.
public abstract void | `ezcGraphRenderer::drawDataLine()` Draw data line
public abstract void | `ezcGraphRenderer::drawLegend()` Draw legend
public abstract void | `ezcGraphRenderer::drawPieSegment()` Draw pie segment
public void | `ezcGraphRenderer::drawSymbol()` Draw Symbol
public abstract void | `ezcGraphRenderer::drawText()` Draw text
protected abstract void | `ezcGraphRenderer::finish()` Finish rendering
public array | `ezcGraphRenderer::getElementReferences()` Return all chart element references
public void | `ezcGraphRenderer::render()` Finally renders the image
protected void | `ezcGraphRenderer::resetRenderer()` Reset renderer properties
public void | `ezcGraphRenderer::setDriver()` Set renderers driver

### Methods

#### drawBar

void drawBar( $boundings , ezcGraphContext $context , ezcGraphColor $color , ezcGraphCoordinate $position , float $stepSize , [int $dataNumber = 1] , [int $dataCount = 1] , [int $symbol = ezcGraph::NO_SYMBOL] , [float $axisPosition = 0.] )

Draw bar

Draws a bar as a data element in a line chart

##### Parameters:

Name | Type | Description
--- | --- | ---
`$boundings` | ezcGraphBoundings | Chart boundings
`$context` | ezcGraphContext | Context of call
`$color` | ezcGraphColor | Color of line
`$position` | ezcGraphCoordinate | Position of data point
`$stepSize` | float | Space which can be used for bars
`$dataNumber` | int | Number of dataset
`$dataCount` | int | Count of datasets in chart
`$symbol` | int | Symbol to draw for line
`$axisPosition` | float | Position of axis for drawing filled lines

##### Redefinition of:

Method | Description
--- | ---
`ezcGraphRenderer2d::drawBar()` | Draw bar

#### drawDataLine

void drawDataLine( $boundings , ezcGraphContext $context , ezcGraphColor $color , ezcGraphCoordinate $start , ezcGraphCoordinate $end , [int $dataNumber = 1] , [int $dataCount = 1] , [int $symbol = ezcGraph::NO_SYMBOL] , [ezcGraphColor $symbolColor = null] , [ezcGraphColor $fillColor = null] , [float $axisPosition = 0.] , [float $thickness = 1.] )

Draw data line

Draws a line as a data element in a line chart

##### Parameters:

Name | Type | Description
--- | --- | ---
`$boundings` | ezcGraphBoundings | Chart boundings
`$context` | ezcGraphContext | Context of call
`$color` | ezcGraphColor | Color of line
`$start` | ezcGraphCoordinate | Starting point
`$end` | ezcGraphCoordinate | Ending point
`$dataNumber` | int | Number of dataset
`$dataCount` | int | Count of datasets in chart
`$symbol` | int | Symbol to draw for line
`$symbolColor` | ezcGraphColor | Color of the symbol, defaults to linecolor
`$fillColor` | ezcGraphColor | Color to fill line with
`$axisPosition` | float | Position of axis for drawing filled lines
`$thickness` | float | Line thickness

##### Redefinition of:

Method | Description
--- | ---
`ezcGraphRenderer2d::drawDataLine()` | Draw data line

#### drawHorizontalBar

void drawHorizontalBar( $boundings , ezcGraphContext $context , ezcGraphColor $color , ezcGraphCoordinate $position , float $stepSize , [int $dataNumber = 1] , [int $dataCount = 1] , [int $symbol = ezcGraph::NO_SYMBOL] , [float $axisPosition = 0.] )

Draw horizontal bar

Draws a horizontal bar as a data element in a line chart

##### Parameters:

Name | Type | Description
--- | --- | ---
`$boundings` | ezcGraphBoundings | Chart boundings
`$context` | ezcGraphContext | Context of call
`$color` | ezcGraphColor | Color of line
`$position` | ezcGraphCoordinate | Position of data point
`$stepSize` | float | Space which can be used for bars
`$dataNumber` | int | Number of dataset
`$dataCount` | int | Count of datasets in chart
`$symbol` | int | Symbol to draw for line
`$axisPosition` | float | Position of axis for drawing filled lines

##### Implementation of:

Method | Description
--- | ---
`ezcGraphHorizontalBarRenderer::drawHorizontalBar()` | Draw horizontal bar

Documentation generated by phpDocumentor 1.4.3